'\" t
.\"     Title: ksflatten
.\"    Author: [see the "AUTHORS" section]
.\" Generator: DocBook XSL Stylesheets v1.75.1 <http://docbook.sf.net/>
.\"      Date: 05/25/2010
.\"  Language: English
.\"
.TH "KSFLATTEN" "1" "05/25/2010"
.\" -----------------------------------------------------------------
.\" * set default formatting
.\" -----------------------------------------------------------------
.\" disable hyphenation
.nh
.\" disable justification (adjust text to left margin only)
.ad l
.\" -----------------------------------------------------------------
.\" * MAIN CONTENT STARTS HERE *
.\" -----------------------------------------------------------------
.SH "NAME"
ksflatten \- take a kickstart config to write out a flattened config
.SH "SYNOPSIS"
.sp
ksflatten [\-cvo] kickstart\-config
.SH "DESCRIPTION"
.sp
Simple script to take a kickstart config, read it in, parse any %includes, etc to write out a flattened config that is stand\-alone\&.
.SH "OPTIONS"
.PP
\fB\-c, \-\-config\fR=\fIPATH\fR
.RS 4
Path to a kickstart config file\&.
.RE
.PP
\fB\-v, \-\-version\fR=\fIVERSION\fR
.RS 4
Kickstart version to use for interpreting config\&.
.RE
.PP
\fB\-o, \-\-output\fR=\fIOUTPUT\fR
.RS 4
Write flattened config to OUTPUT\&.
.RE
.SH "AUTHORS"
.sp
The code of this manual page has been written by Carl Chenet <chaica@ohmytux\&.com>\&. The texts were written by Jeremy Katz <katzj@redhat\&.com>\&.
.SH "RESSOURCES"
.sp
http://fedoraproject\&.org/wiki/Pykickstart
.SH "LICENSE"
.sp
This manual page is licensed under the GPL\-2 license\&.
